\documentclass[english]{llncs}
\usepackage[T1]{fontenc}
\usepackage[latin9]{inputenc}
\usepackage{babel}
\usepackage{alltt}
\usepackage{comment}
\usepackage{multirow}
\usepackage{graphicx}

\input{input/macros}

\newenvironment{tightcenter}{%
  \setlength\topsep{0pt}
  \setlength\parskip{0pt}
  \begin{center}
}{%
  \end{center}
}

\begin{document}

%\title{Design Trade-Offs for Domain-Specific Languages in Scala}
%\title{Experimenting with Domain-Specific Languages in Scala}
\title{Domain-Specific Languages with Scala\thanks{
Part of the work was supported by
the Japanese Society for the Promotion of Science
({\em kaken-hi} grants 23240003 and 26280019),
and by NSF Grant CCF-0926190. Part of the work was carried out at Jet Propulsion Laboratory, California Institute of Technology, under a contract with the National 
Aeronautics and Space Administration.}}
%\subtitle{An Experience Report}

\author{
  Cyrille Artho\inst{1}
  \and 
  Klaus Havelund\inst{2} 
  \and
  Rahul Kumar\inst{2}   
  \and 
  Yoriyuki Yamagata\inst{1}
}

\institute{AIST, Amagasaki, Japan\and
Jet Propulsion Laboratory, California Institute of Technology, California, USA}

\maketitle

\input{input/abstract}

\input{input/introduction}

%\input{relatedwork}

\input{input/external}

\input{input/internal}

\input{input/discussion}

\input{input/conclusion}

\bibliographystyle{plain}
\bibliography{biblio}

%\input{todo}

\end{document}
